Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.filter
Class MultiExpressionEvaluator.CacheExpression

    java.lang.Object
      org.codehaus.activemq.filter.UnaryExpression
          org.codehaus.activemq.filter.MultiExpressionEvaluator.CacheExpression

All Implemented Interfaces:
  Expression

Enclosing class:
  MultiExpressionEvaluator

public class MultiExpressionEvaluator.CacheExpression
extends UnaryExpression

A UnaryExpression that caches the result of the nested expression. The cached value is valid if the CacheExpression.cview==MultiExpressionEvaluator.view

Nested Class Summary

Nested classes inherited from class org.codehaus.activemq.filter.UnaryExpression
`UnaryExpression.BooleanUnaryExpression`

Field Summary
`(package private) int` | `cachedHashCode`
`(package private) java.lang.Object` | `cachedValue`
`(package private) int` | `cview`
`(package private) short` | `refCount`

Fields inherited from class org.codehaus.activemq.filter.UnaryExpression
`right`

Constructor Summary
`MultiExpressionEvaluator.CacheExpression(Expression realExpression)`

Method Summary
`boolean` | `equals(java.lang.Object o)` TODO: more efficient hashCode()
`java.lang.Object` | `evaluate(Message message)`
`java.lang.String` | `getExpressionSymbol()` Returns the symbol that represents this binary expression.
`int` | `hashCode()` TODO: more efficient hashCode()
`java.lang.String` | `toString()`

Methods inherited from class org.codehaus.activemq.filter.UnaryExpression
`createNegate, createNOT, getRight, setRight`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### refCount

    short refCount

### cview

    int cview

### cachedValue

    java.lang.Object cachedValue

### cachedHashCode

    int cachedHashCode

Constructor Detail

### MultiExpressionEvaluator.CacheExpression

    public MultiExpressionEvaluator.CacheExpression(Expression realExpression)

Method Detail

### evaluate

    public java.lang.Object evaluate(Message message)
                              throws JMSException

  Returns:
    the value of this expression
  Throws:
    `JMSException`
  See Also:
    `Expression.evaluate(javax.jms.Message)`

### hashCode

    public int hashCode()

  Description copied from class: `UnaryExpression`
  TODO: more efficient hashCode()

  Overrides:
    `hashCode` in class `UnaryExpression`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(java.lang.Object o)

  Description copied from class: `UnaryExpression`
  TODO: more efficient hashCode()

  Overrides:
    `equals` in class `UnaryExpression`
  See Also:
    `Object.equals(java.lang.Object)`

### getExpressionSymbol

    public java.lang.String getExpressionSymbol()

  Description copied from class: `UnaryExpression`
  Returns the symbol that represents this binary expression. For example, addition is represented by "+"

  Specified by:
    `getExpressionSymbol` in class `UnaryExpression`
  Returns:

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `UnaryExpression`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.